- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoNDSorting_II< EOT > Class Template Reference

Fast Elitist Non-Dominant Sorting Genetic Algorithm assignment strategie Note : This is a corrected version of the original eoNDSorting_II class. More...

`#include <moeoNDSorting.h>`

Inheritance diagram for moeoNDSorting_II< EOT >:

List of all members.

## Public Types
typedef std::pair< double, unsigned > | double_index_pair
| index pair
## Public Member Functions
| moeoNDSorting_II (bool nasty_flag_=false)
| constructor
std::vector< double > | niche_penalty (const std::vector< unsigned > &_cf, const eoPop< EOT > &_pop)
| _cf points into the elements that consist of the current front
## Classes
class | compare_nodes
| A class to compare the nodes. More...

## Detailed Description

### template<class EOT>
class moeoNDSorting_II< EOT >

Fast Elitist Non-Dominant Sorting Genetic Algorithm assignment strategie Note : This is a corrected version of the original eoNDSorting_II class.

See also:
  eoNDSorting_II

Definition at line 26 of file moeoNDSorting.h.

The documentation for this class was generated from the following file:

- moeoNDSorting.h